cabal-install-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Client.CmdInstall.ClientInstallTargetSelector

# Documentation

data WithoutProjectTargetSelector #

Constructors

WoPackageId PackageId |
WoPackageComponent PackageId ComponentName |
WoURI URI |

#### Instances

Instances details

Show WithoutProjectTargetSelector # |
Instance details Defined in Distribution.Client.CmdInstall.ClientInstallTargetSelector Methods showsPrec :: Int -> WithoutProjectTargetSelector -> ShowS # show :: WithoutProjectTargetSelector -> String # showList :: [WithoutProjectTargetSelector] -> ShowS #

parseWithoutProjectTargetSelector :: Verbosity -> String -> IO WithoutProjectTargetSelector #

woPackageNames :: WithoutProjectTargetSelector -> [PackageName] #

woPackageTargets :: WithoutProjectTargetSelector -> TargetSelector #

woPackageSpecifiers :: WithoutProjectTargetSelector -> Either URI (PackageSpecifier pkg) #